post

/v1/edge/logs/meter/batch

https://platform.sitepro.com/v1/edge/logs/meter/batch

Process a batch of flow meter logs

Sample Request Body

[
  {
    "flowMeterID": 123,
    "timestamp": "2024-01-01T00:00:00.000Z",
    "startTimestamp": "2023-12-31T23:00:00.000Z",
    "totalVolume": 1000,
    "dayVolume": 100,
    "pressure": 50,
    "flowRate": 10
  }
]

Expected responses

{
  "description": "",
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "result": {
            "type": "string",
            "description": "Human-readable summary of what was processed. This is generic across all reading types, and may be augmented with additional fields in the future.",
            "example": "Reading processed successfully."
          }
        },
        "required": [
          "result"
        ]
      }
    }
  }
}

Related schemas

NameType
flowMeterIDnumber
timestampstring
startTimestampstring
totalVolumenumber
dayVolumenumber
pressurenumber
densitynumber
temperaturenumber
flowRatenumber
actuatorStatusnumber
actuatorPositionnumber
statusTypeSourcenumber
currentFlowSensorConvertedUnitIDnumber
volumeUnitIDnumber
curl -X POST 
  -H "Authorization: Bearer <JWT_Token>" 
  -H "Content-Type: application/json" 
  -d '[
  {
    "flowMeterID": 123,
    "timestamp": "2024-01-01T00:00:00.000Z",
    "startTimestamp": "2023-12-31T23:00:00.000Z",
    "totalVolume": 1000,
    "dayVolume": 100,
    "pressure": 50,
    "flowRate": 10
  }
]' 
  "https://platform.sitepro.com/v1/edge/logs/meter/batch"
Batch endpoints cannot be called directly from the Developer Portal. Warning: This endpoint can affect production data.